hifrog - Bug #5305

Bug related to No support for "big" (> 32 bit)
15/06/2017 18:57 - Sepideh Asadi

Status: Closed Start date: 15/06/2017
Priority: Normal Due date:

Assignee: Sepideh Asadi % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

/hifrog --claim 1 --theoref --no-itp --unwind 10 --bitwidth 32 --heuristic 4 --type-byte-constraints 2
~/hi-bench/main-bench/bench_SATpaper_128/sep_true-unreach-call.c

with --bitwidth 32 it says "No support for "big" (> 32 bit) integers so far.

with --bitwidth 64 it gets timeout!

History

#1 - 15/06/2017 19:00 - Sepideh Asadi

same bug with soft_float_5_true-unreach-call.c.cil.c

#2 - 16/06/2017 12:18 - Karine Even Mendoza

- Priority changed from Normal to Low

#3 - 16/06/2017 18:10 - Karine Even Mendoza
- Status changed from New to Feedback
- Assignee set to Sepideh Asadi

- Priority changed from Low to Normal

For me it works just fine. Can you please re-test it?

Refinement successful
(21 / 259 expressions bit-blasted)
Command-line options to double-check: --theoref --custom 2,5,11,17,23,29,35,41,47,53,59,60,61,62,63,64,65,66,67,68,69,

(Warning: Result holds ONLY in this bound (!) Initial unwinding bound: 10)
ASSERTION HOLDS

VERIFICATION SUCCESSFUL
TOTAL TIME FOR CHECKING THIS CLAIM: 1.148

Main Checked Assertion:

file ../../../../../../hi-bench/main-bench/bench_SATpaper_128/sep_true-unreach-call.c line 56 function main

assertion

FALSE

#X: Done.

karinek@karinek-VirtualBox:~/workspace/tools/hifrog_lIra_lattice/hifrog/trunk/cprover/src/funfrog$ ./hifrog

Ao . Jhi-bench/main-bench/bench_SATpaper_128/sep_true-unreach-call.c --claim 1 --theoref --no-itp --unwind 10 --bitwidth 64 --heuristic 4
--type-byte-constraints 2

Also soft_float_5_true-unreach-call.c.cil.c works very nice...

#4 - 19/06/2017 14:13 - Sepideh Asadi
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

Conclusion:
When it is reported "No support for "big" (> 32 bit) integers so far." run it with --bitwidth 64
